# pro-archman
# lib/cmd/generate-index.sh
# "generate-index" command
#
# Copyright (C) 2013  Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

use locale
use output
use include

cmd_process_incoming_main()
{
	local changes=
	local file=

	init

	info "$(get_msg 'cmd_process_incoming_processing')"

	for changes in "${conf_incoming_dir}/"*.changes; do
		if [ ! -f "${changes}" ]; then
			continue
		fi
		for file in $(include_changes "${changes}"); do
			if [ ! -f "${file}" ]; then
				continue
			fi
			rm -f "${file}"
		done
		rm -f "${changes}"
	done

	fini

	return 0
}
